package nckd.jxccl.base.common.enums.mas;

/**
* 【薪酬福利云】-一级项目分类枚举
* @author W.Y.C
* @date 2025/7/14 14:25
* @version 1.0
*/
public enum ProjectCategoryEnum {

    /*年度薪酬**/
    YEARLY_SALARY("01", "年度薪酬"),
    /*任期激励**/
    TERM_INCENTIVE("02", "任期激励"),
    /*中长期激励**/
    LONGTERM_INCENTIVE("03", "中长期激励"),

    /*基本年薪**/
    BASIC_YEARLY_SALARY("01", "基本年薪"),
    /*绩效年薪**/
    PERFORMANCE_YEARLY_SALARY("02", "绩效年薪"),
    /*单项奖**/
    ITEM_AWARD("03", "单项奖");

    private final String code;
    private final String name;

    ProjectCategoryEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
